#ifndef scoped_set_adder_h_
#define scoped_set_adder_h_

#include <string>
 
class scoped_set_adder {
public:
    scoped_set_adder(const std::string& name);
    ~scoped_set_adder();
    scoped_set_adder(const scoped_set_adder&) = delete;
    scoped_set_adder& operator=(const scoped_set_adder&) = delete;

	bool dump() const;
 
private:
    std::string name_;
};
 
#endif
