#ifndef __main_helper_hpp
#define __main_helper_hpp

int main_helper_fn();
int main_helper_fn2();

// From CppCon 2016: Herb Sutter "Leak-Freedom in C++... By Default"
// https://www.youtube.com/watch?v=JfmTagWcqoE

template<class T>
using Pimpl = const std::unique_ptr<T>;

class MyClass {
public:
    MyClass();
    ~MyClass();
 
    void f();

 private:
    class Impl;  // defined in cpp
    Pimpl<Impl> pimpl;
};


#endif
